Subject: Re: [bug#66436] [PATCH 2/2] git-download: Add support for Git Large File Storage (LFS).

From: Simon Tournier <[email-masked]>
Date: Mon, 16 Oct 2023 17:15:39 +0200

Hi,

I reorder Ludo’s answers for clarity.

On Sat, 14 Oct 2023 at 19:12, Ludovic Courtès <[email-masked]> wrote:

> Also, it is crucial for the “builtin:git-download” semantics to be the
> same across all installations and to be very stable.

I agree and that’s one strong argument for me.

> Overall, I feel like LFS support, if needed, should be “on the side”,
> with a custom ‘git-fetch/lfs’ or something along these lines (just like
> we have ‘url-fetch/tarbomb’).

I agree with this direction.  Most of the fetching methods should not be
implemented with “builtin“ but the converse, git-fetch/lfs.

    ( Even, I think the current git-fetch using out-of-band builtin
recently introduced should be a ’git-fetch/bootstrap’ method, and
git-fetch using in-band should be the default method. )

Cheers,
simon